MINPARAMS=1
if [ $# -lt "$MINPARAMS" ]
	then
	echo usage:
	echo    ready_ddwrt.sh [ddwrt_base_path]
	echo
	echo i.e.:
	echo    ready_ddwrt.sh /home/tathagata/DD-WRT
	echo
	exit 1
fi  

DDROOT=$1

echo DD-WRT is at $DDROOT

echo ................................................................
echo Creating symlinks
rm $DDROOT/src/linux/brcm/linux.v24_2/include/asm
ln -s $DDROOT/src/linux/brcm/linux.v24_2/include/asm-mips $DDROOT/src/linux/brcm/linux.v24_2/include/asm
echo done

echo ................................................................
echo "re-building some tools for 32bits machine"
echo ................................................................
cd $DDROOT

echo "Compiling jsformat..."
cd src/router/tools 
rm jsformat
make jsformat 
echo "done.."
cd ../..

echo "Compiling mksquashfs-lzma..."
cd squashfs-tools/
rm mksquashfs-lzma
#vim Makefile
sed -e 's/64/32/g' Makefile > Makefile_32
mv Makefile_32 Makefile
cd lzma/C/7zip/Compress/LZMA_Lib/
sed -e 's/64/32/g' makefile > makefile_32
mv makefile_32 makefile
cd -
make 
cp mksquashfs-lzma ../linux/brcm/linux.v24_2/scripts/squashfs
echo "done.."
cd ../..

echo "Compiling strip..."
cd tools
rm ./strip
gcc strip.c -o ./strip
echo "done.."

echo "Compiling write3..."
rm ./write3
gcc write3.c -o ./write3
echo "done.."

echo "Compiling write4..."
rm ./write4
gcc write4.c -o ./write4
echo "done.."

echo "Compiling webcomp..."
rm ./webcomp
gcc -o webcomp -DUEMF -DWEBS -DLINUX webcomp.c
cd ..

cd opt/tools
echo "Compiling trx_wgr614..."
rm trx_wgr614
gcc -o trx_wgr614 trx_wgr614.c
cd ../..
echo "done.."

echo "Creating Makefile for packages .."
cd src/router/
cp .config_mini.v24 .config
make configure
echo "done.."
cd ..

#echo "Creating Makefile for dropbear.."
#cd dhcpforwarder
#./configure
#echo "done.."
#cd ..

